import { GameObject } from "../GameObject/GameObject";
import { Container } from "../../pixi/pixi.mjs";

export class SceneObject extends GameObject {
    /**
     * Pixi container. This container will be added to render stage.
     * @type Container
     */
    drawObject = new Container();

    /**
     * Props for scene object. Defined in children classes
     */
    props = {};

    /**
     * Instantly* kills drawObject (by PIXI) and after several ticks kills SceneObject
     * 
     * * not sure about instant killing
     */
    kill()
    {
        super.kill();
        this.drawObject.destroy();
    }
}
